!lua

-- Cabin Lights for UTT A359.lua
-- Turn off lightmap between 9:35 PM and 7:50 AM and when the plane is not operating.

local LocalTime = varget("E:LOCAL TIME", "seconds")
local CabinLight = varget("A:LIGHT NAV", "Bool")
local Scale = 0.1

if CabinLight > 0 or LocalTime > 28200 and LocalTime < 77700 then
    TextureName = "UTT_A350-900_L.DDS"
	else
    TextureName = ""
end

varset("T:EmissiveScale","Number",Scale)
varset("T:EmissiveTexture","String",TextureName)